# DesQ Archiver
## A light-weight archiver for the DesQ Desktop Environment

This is an app to create, view, extract and modify archive. It is built to run smoothly on devices with different form factors.
Some of its features are

- Drag and drop files and folders into a new archive
- Inbuilt filesystem browser

### Notes for compiling (Qt5) - linux:

* Download the sources
  * Git: `git clone https://gitlab.com/DesQ/DesQApps/DesQArchiver.git DesQ-Archiver`
* Enter `DesQ-Archiver` and create and enter `build`.
  - `cd DesQ-Archiver && mkdir build && cd build`
* Configure the project - we use cmake for project management
  - `cmake ..`
* Compile and install - we use make
  - `make -kj$(nproc) && sudo make install`

### Dependencies (Debian package name [version] in Sid):
* Qt5 (qtbase5-dev [5.15.2+dfsg-2], qtbase5-dev-tools [5.15.2+dfsg-2])
* libdesq (https://gitlab.com/DesQ/libdesq)
* libdesqui (https://gitlab.com/DesQ/libdesqui)
* libarchive-qt (https://gitlab.com/marcusbritanicus/libarchive-qt)

### Upcoming
* Open archives in tabs
* Any other feature you request for... :)
